Jump to: navigation, search

Difference between revisions of "Mylyn/JIRA Connector"

(= 2006-10-13 Planning Session)
 
(32 intermediate revisions by 8 users not shown)
Line 1: Line 1:
 +
[[Category:Mylyn]]
  
=== 2006-10-13 Planning Session ==
+
The [http://wiki.eclipse.org/index.php/Mylyn_FAQ#What_happened_to_the_Mylyn_JIRA_Connector.3F Mylyn JIRA Connector has moved to Atlassian].
  
<table border=1 cellpadding=3 cellspacing=0>
+
== Information for Integrators ==
<tr>
+
<td>
+
<td>bug_id
+
<td>opendate
+
<td>bug_severity
+
<td>priority
+
<td>short_short_desc
+
<td>comments
+
  
<tr>
+
The Atlassian update site distributes a feature and plug-in that with the same bundle ids as the Mylyn JIRA Connector (org.eclipse.mylyn.jira_feature) but with a higher version (3.4.0) than the latest available release of the Mylyn JIRA Connector. The stubs do not contain classes or extension points and effectively disable the Mylyn JIRA Connector.
<td>eu
+
<td>139312
+
<td>4/28/2006 17:27:51
+
<td>normal
+
<td>P4
+
<td>URL-based repesetation for custom JIRA queries
+
<td>jira services<br/>have workaround
+
  
<tr>
+
Extensions that integrate with the Mylyn JIRA Connector need to specifiy the following version constraints in the manifest:
<td>mik
+
<td>142869
+
<td>5/19/2006 18:10:56
+
<td>normal
+
<td>P3
+
<td>provide rich editor for JIRA
+
<td>
+
  
<tr>
+
Require-Bundle: org.eclipse.mylyn.jira.core;bundle-version="[3.3.2,3.4.0)",
<td>mik
+
  org.eclipse.mylyn.jira.ui;bundle-version="[3.3.2,3.4.0)"
<td>143260
+
<td>5/23/2006 12:51:16
+
<td>enhancement
+
<td>P3
+
<td>add offline editing of JIRA tasks
+
<td>
+
  
<tr>
+
Features should specify an equivalent version match:
<td>eu
+
<td>144620
+
<td>5/31/2006 5:29:33
+
<td>enhancement
+
<td>P4
+
<td>setting task as active should be reflected in JIRA
+
<td>
+
  
<tr>
+
<import feature="org.eclipse.mylyn_feature" version="3.3.2" match="equivalent"/>
<td>eu
+
<td>144962
+
<td>6/1/2006 15:56:33
+
<td>normal
+
<td>P3
+
<td>support JIRA task attribute editing operations
+
<td>
+
  
<tr>
+
The latest release of the Mylyn JIRA Connector is available from this archive update site: download.eclipse.org/tools/mylyn/update-archive/3.3.2/v20100222-0100/extras
<td>eu
+
<td>147888
+
<td>6/20/2006 11:39:04
+
<td>blocker
+
<td>P3
+
<td>Can't connect to jira over https
+
<td>jira services<br/>have workaround
+
 
+
<tr>
+
<td>tbd
+
<td><s>149503</s>
+
<td>7/3/2006 19:57:21
+
<td>major
+
<td>P4
+
<td>Jira Authentication Failed for existing query
+
<td>jira services
+
 
+
<tr>
+
<td>eu
+
<td>149593
+
<td>7/4/2006 11:51:00
+
<td>normal
+
<td>P3
+
<td>Jira query wizard fail to select components and resolution
+
<td>jira services
+
 
+
<tr>
+
<td>mik
+
<td><s>151007</s>
+
<td>7/18/2006 16:42:44
+
<td>normal
+
<td>P2
+
<td>Can't synchronize individual jira tasks from query hits
+
<td>
+
 
+
<tr>
+
<td>
+
<td>159313
+
<td>9/29/2006 12:30:23
+
<td>normal
+
<td>P3
+
<td>Cannot use Jira connector with Authenticated HTTP Proxy
+
<td>jira services
+
 
+
<tr>
+
<td>tbd
+
<td>159343
+
<td>9/29/2006 15:07:40
+
<td>critical
+
<td>P3
+
<td>Due date filter does not work for Jira query
+
<td>jira services
+
 
+
<tr>
+
<td>
+
<td>159355
+
<td>9/29/2006 16:42:10
+
<td>normal
+
<td>P3
+
<td>AuthenticationException when adding query to tasklist
+
<td>jira services?
+
 
+
<tr>
+
<td>mik
+
<td>160779
+
<td>10/12/2006 20:50:10
+
<td>
+
<td>
+
<td>Incoming changes/new issues are not shown in focused mode
+
<td>
+
 
+
<tr>
+
<td>
+
<td>160780
+
<td>10/12/2006 20:50:10
+
<td>
+
<td>
+
<td>Integrate &quot;close&quot; issue action to support dev workflow
+
<td>related to 144620 and 144962
+
 
+
<tr>
+
<td>
+
<td>160781
+
<td>10/12/2006 20:50:10
+
<td>
+
<td>
+
<td>Investigate support for custom Jira attributes
+
<td>
+
 
+
</table>
+

Latest revision as of 07:34, 26 February 2010


The Mylyn JIRA Connector has moved to Atlassian.

Information for Integrators

The Atlassian update site distributes a feature and plug-in that with the same bundle ids as the Mylyn JIRA Connector (org.eclipse.mylyn.jira_feature) but with a higher version (3.4.0) than the latest available release of the Mylyn JIRA Connector. The stubs do not contain classes or extension points and effectively disable the Mylyn JIRA Connector.

Extensions that integrate with the Mylyn JIRA Connector need to specifiy the following version constraints in the manifest:

Require-Bundle:  org.eclipse.mylyn.jira.core;bundle-version="[3.3.2,3.4.0)",
 org.eclipse.mylyn.jira.ui;bundle-version="[3.3.2,3.4.0)"

Features should specify an equivalent version match:

<import feature="org.eclipse.mylyn_feature" version="3.3.2" match="equivalent"/>

The latest release of the Mylyn JIRA Connector is available from this archive update site: download.eclipse.org/tools/mylyn/update-archive/3.3.2/v20100222-0100/extras